Subject: Display can't be opened (display newer than emacs session)

From: "Sewall, Jason" <[email-masked]>
Date: Tue, 6 Aug 2013 20:52:07 +0000

I have a long-running emacs session with a server running on it (24.2.1, on Fedora 18). I have started up a new VNC session on the host, creating DISPLAY :1.0, but emacs refuses to let me create a frame on it: 

M-x make-frame-on-display <RET> :1.0 <RET>
Display :1.0 can't be opened

If I start a new emacs session with emacs (with -Q or not) and run the above, the frame is created.

I am not an expert in emacs frame handling nor in X, but it seems like emacs is reading the available displays when it starts up and refuses to connect to anything that started up after it. I'm happy to provide more info as needed. 

Cheers,
Jason